> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Create
      operationId: create_v2_scorers_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateScorerRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CreateScorerRequest:
      properties:
        name:
          type: string
          title: Name
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        description:
          type: string
          title: Description
          default: ''
        tags:
          items:
            type: string
          type: array
          title: Tags
        defaults:
          anyOf:
            - $ref: '#/components/schemas/ScorerDefaults'
            - type: 'null'
        scorer_type:
          $ref: '#/components/schemas/ScorerTypes'
        deprecated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Deprecated
        model_type:
          anyOf:
            - $ref: '#/components/schemas/ModelType'
            - type: 'null'
        ground_truth:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ground Truth
        default_version_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Default Version Id
        user_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: User Prompt
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
        output_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
        input_type:
          anyOf:
            - $ref: '#/components/schemas/InputTypeEnum'
            - type: 'null'
        multimodal_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/MultimodalCapability'
              type: array
            - type: 'null'
          title: Multimodal Capabilities
        required_scorers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Scorers
        required_metric_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Metric Ids
        roll_up_method:
          anyOf:
            - $ref: '#/components/schemas/RollUpMethodDisplayOptions'
            - type: 'null'
        metric_color_picker_config:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/MetricColorPickerNumeric'
                - $ref: '#/components/schemas/MetricColorPickerBoolean'
                - $ref: '#/components/schemas/MetricColorPickerCategorical'
                - $ref: '#/components/schemas/MetricColorPickerMultiLabel'
              discriminator:
                propertyName: type
                mapping:
                  boolean:
                    $ref: '#/components/schemas/MetricColorPickerBoolean'
                  categorical:
                    $ref: '#/components/schemas/MetricColorPickerCategorical'
                  multi_label:
                    $ref: '#/components/schemas/MetricColorPickerMultiLabel'
                  numeric:
                    $ref: '#/components/schemas/MetricColorPickerNumeric'
            - type: 'null'
          title: Metric Color Picker Config
      type: object
      required:
        - name
        - scorer_type
      title: CreateScorerRequest
    ScorerResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        scorer_type:
          $ref: '#/components/schemas/ScorerTypes'
        defaults:
          anyOf:
            - $ref: '#/components/schemas/ScorerDefaults'
            - type: 'null'
        latest_version:
          anyOf:
            - $ref: '#/components/schemas/BaseScorerVersionDB'
            - type: 'null'
        model_type:
          anyOf:
            - $ref: '#/components/schemas/ModelType'
            - type: 'null'
        ground_truth:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ground Truth
        default_version_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Default Version Id
        default_version:
          anyOf:
            - $ref: '#/components/schemas/BaseScorerVersionDB'
            - type: 'null'
        user_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: User Prompt
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
        output_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
        input_type:
          anyOf:
            - $ref: '#/components/schemas/InputTypeEnum'
            - type: 'null'
        multimodal_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/MultimodalCapability'
              type: array
            - type: 'null'
          title: Multimodal Capabilities
        required_scorers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Scorers
        required_metric_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Metric Ids
        deprecated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Deprecated
        roll_up_method:
          anyOf:
            - $ref: '#/components/schemas/RollUpMethodDisplayOptions'
            - type: 'null'
        roll_up_config:
          anyOf:
            - $ref: '#/components/schemas/BaseMetricRollUpConfigDB'
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          default: ''
        tags:
          items:
            type: string
          type: array
          title: Tags
        included_fields:
          items:
            type: string
          type: array
          title: Included Fields
          description: >-
            Fields that can be used in the scorer to configure it. i.e. model,
            num_judges, etc. This enables the ui to know which fields a user can
            configure when they're setting a scorer
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        metric_color_picker_config:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/MetricColorPickerNumeric'
                - $ref: '#/components/schemas/MetricColorPickerBoolean'
                - $ref: '#/components/schemas/MetricColorPickerCategorical'
                - $ref: '#/components/schemas/MetricColorPickerMultiLabel'
              discriminator:
                propertyName: type
                mapping:
                  boolean:
                    $ref: '#/components/schemas/MetricColorPickerBoolean'
                  categorical:
                    $ref: '#/components/schemas/MetricColorPickerCategorical'
                  multi_label:
                    $ref: '#/components/schemas/MetricColorPickerMultiLabel'
                  numeric:
                    $ref: '#/components/schemas/MetricColorPickerNumeric'
            - type: 'null'
          title: Metric Color Picker Config
        color_threshold_config:
          anyOf:
            - $ref: '#/components/schemas/MetricColorPickerNumeric'
            - type: 'null'
        metric_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Name
      type: object
      required:
        - id
        - name
        - scorer_type
        - tags
      title: ScorerResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScorerDefaults:
      properties:
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        num_judges:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Judges
        filters:
          anyOf:
            - items:
                oneOf:
                  - $ref: '#/components/schemas/NodeNameFilter'
                  - $ref: '#/components/schemas/MetadataFilter'
                  - $ref: '#/components/schemas/ModalityFilter'
                discriminator:
                  propertyName: name
                  mapping:
                    metadata:
                      $ref: '#/components/schemas/MetadataFilter'
                    modality:
                      $ref: '#/components/schemas/ModalityFilter'
                    node_name:
                      $ref: '#/components/schemas/NodeNameFilter'
              type: array
            - type: 'null'
          title: Filters
          description: List of filters to apply to the scorer.
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
          description: >-
            List of node types that can be scored by this scorer. Defaults to
            llm/chat.
        cot_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cot Enabled
          description: >-
            Whether to enable chain of thought for this scorer. Defaults to
            False for llm scorers.
        output_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
          description: >-
            What type of output to use for model-based scorers (boolean,
            categorical, etc.).
        input_type:
          anyOf:
            - $ref: '#/components/schemas/InputTypeEnum'
            - type: 'null'
          description: >-
            What type of input to use for model-based scorers
            (sessions_normalized, trace_io_only, etc..).
      type: object
      title: ScorerDefaults
    ScorerTypes:
      type: string
      enum:
        - llm
        - code
        - luna
        - preset
      title: ScorerTypes
    ModelType:
      type: string
      enum:
        - slm
        - llm
        - code
      title: ModelType
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
    InputTypeEnum:
      type: string
      enum:
        - basic
        - llm_spans
        - retriever_spans
        - sessions_normalized
        - sessions_trace_io_only
        - tool_spans
        - trace_input_only
        - trace_io_only
        - trace_normalized
        - trace_output_only
        - agent_spans
        - workflow_spans
      title: InputTypeEnum
      description: Enumeration of input types.
    MultimodalCapability:
      type: string
      enum:
        - vision
        - audio
      title: MultimodalCapability
    RollUpMethodDisplayOptions:
      type: string
      enum:
        - average
        - sum
        - max
        - min
        - category_count
        - percentage_true
        - percentage_false
      title: RollUpMethodDisplayOptions
      description: >-
        Display options for roll up methods when showing rolled up metrics in
        the UI.


        Separates display intent from computation methods. The computation
        methods

        (NumericRollUpMethod, CategoricalRollUpMethod) control what aggregations
        are available.

        This enum controls how the UI displays the selected roll-up value for a
        scorer.
    MetricColorPickerNumeric:
      properties:
        type:
          type: string
          const: numeric
          title: Type
          default: numeric
        constraints:
          items:
            $ref: '#/components/schemas/NumericColorConstraint'
          type: array
          minItems: 1
          title: Constraints
      type: object
      required:
        - constraints
      title: MetricColorPickerNumeric
      description: |-
        Color picker configuration for numeric metrics.

        Each constraint maps a numeric condition to a color. The UI uses these
        constraints to color-code metric values (e.g. green for high scores,
        red for low scores).

        Example:
            {
                "type": "numeric",
                "constraints": [
                    {"color": "green", "operator": "gte", "value": 0.8},
                    {"color": "yellow", "operator": "between", "value": [0.3, 0.8]},
                    {"color": "red", "operator": "lt", "value": 0.3}
                ]
            }
    MetricColorPickerBoolean:
      properties:
        type:
          type: string
          const: boolean
          title: Type
          default: boolean
        constraints:
          items:
            $ref: '#/components/schemas/BooleanColorConstraint'
          type: array
          minItems: 1
          title: Constraints
      type: object
      required:
        - constraints
      title: MetricColorPickerBoolean
      description: |-
        Color picker configuration for boolean metrics.

        Each constraint maps a boolean value to a color.

        Example:
            {
                "type": "boolean",
                "constraints": [
                    {"color": "green", "operator": "eq", "value": true},
                    {"color": "red", "operator": "eq", "value": false}
                ]
            }
    MetricColorPickerCategorical:
      properties:
        type:
          type: string
          const: categorical
          title: Type
          default: categorical
        constraints:
          items:
            $ref: '#/components/schemas/CategoricalColorConstraint'
          type: array
          minItems: 1
          title: Constraints
      type: object
      required:
        - constraints
      title: MetricColorPickerCategorical
      description: |-
        Color picker configuration for categorical metrics.

        Each constraint maps one or more category values to a color. A category
        value must not appear in more than one constraint.

        Example:
            {
                "type": "categorical",
                "constraints": [
                    {"color": "green", "operator": "eq", "value": "pass"},
                    {"color": "red", "operator": "one_of", "value": ["fail", "error"]}
                ]
            }
    MetricColorPickerMultiLabel:
      properties:
        type:
          type: string
          const: multi_label
          title: Type
          default: multi_label
        constraints:
          items:
            $ref: '#/components/schemas/CategoricalColorConstraint'
          type: array
          minItems: 1
          title: Constraints
      type: object
      required:
        - constraints
      title: MetricColorPickerMultiLabel
      description: >-
        Color picker configuration for multi-label metrics.


        Behaves the same as categorical but intended for metrics that produce

        multiple labels. A category value must not appear in more than one
        constraint.


        Example:
            {
                "type": "multi_label",
                "constraints": [
                    {"color": "green", "operator": "eq", "value": "relevant"},
                    {"color": "yellow", "operator": "one_of", "value": ["partial", "related"]}
                ]
            }
    BaseScorerVersionDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        version:
          type: integer
          title: Version
        scorer_id:
          type: string
          format: uuid4
          title: Scorer Id
        generated_scorer:
          anyOf:
            - $ref: '#/components/schemas/BaseGeneratedScorerDB'
            - type: 'null'
        registered_scorer:
          anyOf:
            - $ref: '#/components/schemas/BaseRegisteredScorerDB'
            - type: 'null'
        finetuned_scorer:
          anyOf:
            - $ref: '#/components/schemas/BaseFinetunedScorerDB'
            - type: 'null'
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        num_judges:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Judges
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
          description: >-
            List of node types that can be scored by this scorer. Defaults to
            llm/chat.
        cot_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cot Enabled
          description: >-
            Whether to enable chain of thought for this scorer. Defaults to
            False for llm scorers.
        output_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
          description: >-
            What type of output to use for model-based scorers
            (sessions_normalized, trace_io_only, etc.).
        input_type:
          anyOf:
            - $ref: '#/components/schemas/InputTypeEnum'
            - type: 'null'
          description: >-
            What type of input to use for model-based scorers
            (sessions_normalized, trace_io_only, etc.).
      type: object
      required:
        - id
        - version
        - scorer_id
      title: BaseScorerVersionDB
      description: Scorer version from the scorer_versions table.
    BaseMetricRollUpConfigDB:
      properties:
        roll_up_methods:
          anyOf:
            - items:
                $ref: '#/components/schemas/NumericRollUpMethod'
              type: array
            - items:
                $ref: '#/components/schemas/CategoricalRollUpMethod'
              type: array
          minLength: 1
          title: Roll Up Methods
          description: >-
            List of roll up methods to apply to the metric. For numeric scorers
            we support doing multiple roll up types per metric.
      type: object
      required:
        - roll_up_methods
      title: BaseMetricRollUpConfigDB
      description: Configuration for rolling up metrics to parent/trace/session.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NodeNameFilter:
      properties:
        name:
          type: string
          const: node_name
          title: Name
          default: node_name
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
      type: object
      required:
        - operator
        - value
      title: NodeNameFilter
      description: Filters on node names in scorer jobs.
    MetadataFilter:
      properties:
        name:
          type: string
          const: metadata
          title: Name
          default: metadata
        operator:
          type: string
          enum:
            - one_of
            - not_in
            - eq
            - ne
          title: Operator
        key:
          type: string
          title: Key
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - operator
        - key
        - value
      title: MetadataFilter
      description: Filters on metadata key-value pairs in scorer jobs.
    ModalityFilter:
      properties:
        name:
          type: string
          const: modality
          title: Name
          default: modality
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              description: >-
                Single enum value - specific options depend on the concrete enum
                type used
              example: ENUM_VALUE
            - items:
                type: string
                example: ENUM_VALUE
              type: array
              description: Array of enum values
              example:
                - ENUM_VALUE_1
                - ENUM_VALUE_2
          title: Value
      type: object
      required:
        - operator
        - value
      title: ModalityFilter
      description: |-
        Filters on content modalities in scorer jobs.
        Matches if at least one of the specified modalities is present.
    NumericColorConstraint:
      properties:
        color:
          $ref: '#/components/schemas/MetricColor'
        operator:
          type: string
          enum:
            - eq
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: number
            - items:
                type: number
              type: array
          title: Value
      type: object
      required:
        - color
        - operator
        - value
      title: NumericColorConstraint
      description: >-
        A color constraint for numeric metric values.


        Assigns a color when a numeric score matches the given operator and
        value.


        Operators and expected value shapes:
          - eq, gt, gte, lt, lte: value must be a single float.
          - between: value must be a list of exactly 2 floats [low, high] where low < high.
            The range is inclusive on both ends.

        Example:
            {"color": "green", "operator": "gte", "value": 0.8}
            {"color": "yellow", "operator": "between", "value": [0.3, 0.7]}
    BooleanColorConstraint:
      properties:
        color:
          $ref: '#/components/schemas/MetricColor'
        operator:
          type: string
          const: eq
          title: Operator
        value:
          type: boolean
          title: Value
      type: object
      required:
        - color
        - operator
        - value
      title: BooleanColorConstraint
      description: |-
        A color constraint for boolean metric values.

        Assigns a color when a boolean score equals the given value.

        Only the 'eq' operator is supported.

        Example:
            {"color": "green", "operator": "eq", "value": true}
            {"color": "red", "operator": "eq", "value": false}
    CategoricalColorConstraint:
      properties:
        color:
          $ref: '#/components/schemas/MetricColor'
        operator:
          type: string
          enum:
            - eq
            - one_of
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - color
        - operator
        - value
      title: CategoricalColorConstraint
      description: >-
        A color constraint for categorical or multi-label metric values.


        Assigns a color when a categorical score matches the given operator and
        value.


        Operators and expected value shapes:
          - eq: value must be a single string.
          - one_of: value must be a list of strings.

        Example:
            {"color": "green", "operator": "eq", "value": "pass"}
            {"color": "red", "operator": "one_of", "value": ["fail", "error"]}
    BaseGeneratedScorerDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        chain_poll_template:
          $ref: '#/components/schemas/ChainPollTemplate'
        user_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: User Prompt
      type: object
      required:
        - id
        - name
        - chain_poll_template
      title: BaseGeneratedScorerDB
    BaseRegisteredScorerDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        score_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Score Type
      type: object
      required:
        - id
        - name
      title: BaseRegisteredScorerDB
    BaseFinetunedScorerDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        lora_task_id:
          type: integer
          title: Lora Task Id
        lora_weights_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Lora Weights Path
        prompt:
          type: string
          title: Prompt
        luna_input_type:
          anyOf:
            - $ref: '#/components/schemas/LunaInputTypeEnum'
            - type: 'null'
        luna_output_type:
          anyOf:
            - $ref: '#/components/schemas/LunaOutputTypeEnum'
            - type: 'null'
        class_name_to_vocab_ix:
          anyOf:
            - additionalProperties:
                items:
                  type: integer
                type: array
                uniqueItems: true
              type: object
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Class Name To Vocab Ix
        executor:
          anyOf:
            - $ref: '#/components/schemas/ScorerName'
            - type: 'null'
          description: >-
            Executor pipeline. Defaults to finetuned scorer pipeline but can run
            custom galileo score pipelines.
      type: object
      required:
        - id
        - name
        - lora_task_id
        - prompt
      title: BaseFinetunedScorerDB
    NumericRollUpMethod:
      type: string
      enum:
        - average
        - sum
        - max
        - min
      title: NumericRollUpMethod
      description: >-
        Roll up methods for aggregating numeric metrics up the
        session/trace/span hierarchy.
    CategoricalRollUpMethod:
      type: string
      enum:
        - category_count
      title: CategoricalRollUpMethod
      description: >-
        Roll up methods for aggregating categorical metrics up the
        session/trace/span hierarchy.
    MetricColor:
      type: string
      enum:
        - red
        - yellow
        - green
      title: MetricColor
      description: Allowed colors for metric threshold visualization in the UI.
    ChainPollTemplate:
      properties:
        metric_system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric System Prompt
          description: System prompt for the metric.
        metric_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Description
          description: Description of what the metric should do.
        value_field_name:
          type: string
          title: Value Field Name
          description: Field name to look for in the chainpoll response, for the rating.
          default: rating
        explanation_field_name:
          type: string
          title: Explanation Field Name
          description: >-
            Field name to look for in the chainpoll response, for the
            explanation.
          default: explanation
        template:
          type: string
          title: Template
          description: Chainpoll prompt template.
        metric_few_shot_examples:
          items:
            $ref: '#/components/schemas/FewShotExample'
          type: array
          title: Metric Few Shot Examples
          description: Few-shot examples for the metric.
        response_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Schema
          description: Response schema for the output
      type: object
      required:
        - template
      title: ChainPollTemplate
      description: |-
        Template for a chainpoll metric prompt,
        containing all the info necessary to send a chainpoll prompt.
    LunaInputTypeEnum:
      type: string
      enum:
        - span
        - trace_object
        - trace_input_output_only
      title: LunaInputTypeEnum
    LunaOutputTypeEnum:
      type: string
      enum:
        - float
        - string
        - string_list
        - bool_list
      title: LunaOutputTypeEnum
    ScorerName:
      type: string
      enum:
        - action_completion_luna
        - action_advancement_luna
        - agentic_session_success
        - agentic_session_success
        - agentic_workflow_success
        - agentic_workflow_success
        - agent_efficiency
        - agent_flow
        - bleu
        - chunk_attribution_utilization_luna
        - chunk_attribution_utilization
        - chunk_relevance
        - chunk_relevance_luna
        - context_precision
        - precision_at_k
        - completeness_luna
        - completeness
        - context_adherence
        - context_adherence_luna
        - context_relevance
        - context_relevance_luna
        - conversation_quality
        - correctness
        - ground_truth_adherence
        - visual_fidelity
        - visual_quality
        - input_pii
        - input_pii_gpt
        - input_sexist
        - input_sexist
        - input_sexist_luna
        - input_sexist_luna
        - input_tone
        - input_tone_gpt
        - input_toxicity
        - input_toxicity_luna
        - instruction_adherence
        - output_pii
        - output_pii_gpt
        - output_sexist
        - output_sexist
        - output_sexist_luna
        - output_sexist_luna
        - output_tone
        - output_tone_gpt
        - output_toxicity
        - output_toxicity_luna
        - prompt_injection
        - prompt_injection_luna
        - prompt_perplexity
        - rouge
        - reasoning_coherence
        - sql_efficiency
        - sql_adherence
        - sql_injection
        - sql_correctness
        - tool_error_rate
        - tool_error_rate_luna
        - tool_selection_quality
        - tool_selection_quality_luna
        - uncertainty
        - user_intent_change
        - interruption_detection
      title: ScorerName
    FewShotExample:
      properties:
        generation_prompt_and_response:
          type: string
          title: Generation Prompt And Response
        evaluating_response:
          type: string
          title: Evaluating Response
      type: object
      required:
        - generation_prompt_and_response
        - evaluating_response
      title: FewShotExample
      description: Few-shot example for a chainpoll metric prompt.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````